#ifndef __TRACK_LIST_H__
#define __TRACK_LIST_H__

/*
 * Copyright 1999 Kelvin W Sherlock
 *
 *
 *
 * $Id: TrackList.h,v 1.1 1999/04/17 15:31:00 baron Exp baron $
 */


#include <List.h>
#include <ListItem.h>
#include <String.h>

/*
 * This class has the dual purpose of holding data for the
 * midi track & displaying it in a list
 *
 */
class TrackList: public BListItem, public BList, public BHandler
{
public:

	TrackList(int cnt = 100);
	~TrackList();

void SetName(const char *);
void SetName(const BString&);
const char *GetName(void) const;	

void SetInstrument(const BString&);
const char *GetInstrument(void) const;	

void SetTrackNumber(int);
int GetTrackNumber(void) const;
virtual void DrawItem(BView *owner, BRect itemRect, bool drawEverything); 


virtual void MessageReceived(BMessage *);

void EditWindow(void);
void QuitWindow(void);

private:
BString trackName;
BString instrumentName;
int trackNumber;
long numEvents;			// number of events in the track

BWindow *theWindow;
};



#endif
